file(GLOB INCLUDE_FILES "*/*.h")
file(GLOB SOURCE_FILES "*/*.c")

source_group(include FILES ${INCLUDE_FILES})
source_group(source FILES ${SOURCE_FILES})

add_library(zstd INTERFACE)
target_include_directories(zstd INTERFACE .)

add_library(zstd_static STATIC ${INCLUDE_FILES} ${SOURCE_FILES})
target_link_libraries(zstd_static PUBLIC zstd)
add_library(zstd::zstd_static ALIAS zstd_static)